{ lib, namespace, ... }:
let
  inherit (lib.${namespace}) enabled;
in
{
  home.keyboard.options = [ "apple:alupckeys" ];

  targets.genericLinux = enabled;

  ${namespace} = {
    isDesktop = true;

    appearance = {
      base = enabled;
      gtk = enabled;
      qt = enabled;
    };
    # TODO: Seperate out into graphical/shell/tui?
    programs = {
      amfora = enabled;
      bat = enabled;
      btop = enabled;
      cava = enabled;
      cheat = enabled;
      curl = enabled;
      eza = enabled;
      figlet = enabled;
      fish = enabled;
      fzf = enabled;
      gh = enabled;
      git = enabled;
      glow = enabled;
      gpg = enabled;
      hyfetch = enabled;
      journalctl = enabled;
      just = enabled;
      lazygit = enabled;
      less = enabled;
      man = enabled;
      ncmpcpp = enabled;
      neo = enabled;
      rbw = enabled;
      ripgrep = enabled;
      ssh = enabled;
      starship = enabled;
      systemctl = enabled;
      tmux = enabled;
      wezterm = enabled;
      wget = enabled;
      zathura = enabled;
      zoxide = enabled;
    };
    services = {
      clipboard = enabled;
      # TODO: bundle this with the WM under xorg
      dunst = enabled;
      syncthing = enabled;
    };
    xorg = {
      xsession = enabled;
    };
  };

  home.stateVersion = "24.05";
}
