{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.${namespace}) mkEnableModule enabled;

  cfg = config.${namespace}.programs.btop;
  inherit (config.${namespace}) theme;
in
{
  options = mkEnableModule "programs.btop";

  config = mkIf cfg.enable {
    programs.btop = {
      enable = true;

      "${theme.colors.base}" = enabled;

      settings = {
        theme_background = false;
        truecolor = true;
        vim_keys = true;
      };
    };
  };
}
